Planning

Planning

List, create and update planning items. Scope: planning.read / planning.write. Create requires task_guid.

List planning items

GET /v1/planning
planning.read
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Query
Name Type Description
page integer
per_page integer
Request body

None

Response
data array
id string
title string
start string
end string
all_day boolean
status string
task_id string
meta object
page integer
per_page integer
total integer
pages integer

Examples

GET /v1/planning
curl -X GET "https://api.appficient.nl/v1/planning" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json"

Curl, Node and response are shown to the right of this endpoint.

Create a planning item

POST /v1/planning
planning.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Request body
task_id string Required
title string
start string
all_day boolean
duration_minutes integer
Example: 60
Response
data object
id string
title string
start string
task_id string
meta object

Examples

POST /v1/planning
curl -X POST "https://api.appficient.nl/v1/planning" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "task_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "title": "string",
    "start": "2026-07-01T12:00:00+00:00",
    "all_day": false,
    "duration_minutes": 60
}'

Curl, Node and response are shown to the right of this endpoint.

Update a planning item

PATCH /v1/planning/{id}
planning.write
Authorization: HTTP
name: httpBearer
type: http
scheme: bearer
Path
Name Type Description
id Required string Resource id (UUID, lowercase)
Request body
title string
start string
all_day boolean
duration_minutes integer
Response
data object
id string
title string
start string
end string
all_day boolean
task_id string
meta object

Examples

PATCH /v1/planning/{id}
curl -X PATCH "https://api.appficient.nl/v1/planning/{id}" \
  -H "Authorization: Bearer apf_xxxxxxxx" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "string",
    "start": "2026-07-01T12:00:00+00:00",
    "all_day": false,
    "duration_minutes": 0
}'

Curl, Node and response are shown to the right of this endpoint.